Bug 522844 - gnome-screensaver does not blank screen after specified time
gnome-screensaver does not blank screen after specified time
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-11 14:32 EDT by Walter Francis
Modified: 2015-01-14 18:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-11 23:46:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-screensaver --debug --no-daemon output (2.20 KB, text/plain)
2010-05-03 15:43 EDT, Walter Francis
no flags Details

  None (edit)
Description Walter Francis 2009-09-11 14:32:42 EDT
The screensaver never blanks the screen, however at the time specified in gnome-screensaver-preferences the DPMS DOES turn off the monitor, and recovers.  But until DPMS kicks in, the screen stays on.

Dell Latitude X1
http://www.smolts.org/client/show/pub_99359cea-215f-4505-98a8-c86ba9e3fa18

This is similar to bugzilla 522358 perhaps, but that bug and other similar ones mentions that DPMS does not work, when in my case, screensaver doesn't work but DPMS does.

Testing on the Intel Test Day image, testday-20090909-i686.iso

I have looked in /var/log/message /var/log/Xorg.0.log dmesg and ~/.xsession-errors, none of which give any indication of why this might be happening.  

gnome-screensaver-2.27.0-10.fc12.i686

100% reproducible over several reboots.

Steps to Reproduce:
1. Launch gnome-screensaver-properties
2. Set screensaver to be on and check the Idle option
3. Wait set minutes, note it does not blank the screen.
Comment 1 Walter Francis 2009-09-14 11:12:54 EDT
Need to update the Smolt profile, accidentally over-write it with a subsequent test.  Updated profile is:  http://www.smolts.org/client/show/pub_3c125281-78f5-4b36-bdd1-9f339dcf9ae8
Comment 2 Adam Williamson 2009-09-18 00:23:58 EDT

*** This bug has been marked as a duplicate of bug 522358 ***
Comment 3 Walter Francis 2009-09-18 08:13:41 EDT
..but DPMS works for me?  But perhaps you're tracking specifically the screensaver here, and presumably the other bug's DPMS failure is separately logged?
Comment 4 Adam Williamson 2009-09-18 14:48:54 EDT
sorry, no, my mistake, I didn't read your report close enough.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2009-11-16 07:16:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tim Taiwanese Liim 2010-02-28 21:49:02 EST
Walter,
Is this still an issue in F12?
Comment 7 Tim Taiwanese Liim 2010-05-01 00:04:48 EDT
Can we close this bug now?  Maybe close it until someone reports
this issue again?
1. Walter did not respond in 2 months.
2. It works on my F12, both 32- and 64-bit.
Comment 8 Walter Francis 2010-05-03 15:39:39 EDT
Sorry, I've been meaning to follow up on this one and it fell off my radar.  I don't have Gnome on the system at hand, don't typically use Gnome at all, so I killed xscreensaver, ran gnome-screensaver, set gnome-screensaver-preferences to 1m.  After 1m it still did not blank..  gnome-screensaver --debug --no-daemon shows some startup info, but at the 1m and beyond mark it does not output any more information.

gnome-screensaver-2.28.3-1.fc12.i686

What else can I provide?  Other screensavers work, XFCE's screen dimming function works..  DPMS works.
Comment 9 Walter Francis 2010-05-03 15:43:10 EDT
Created attachment 411101 [details]
gnome-screensaver --debug --no-daemon output

Output when running gnome-screensaver with debug output, I note some errors.. gconf related?
Comment 10 Tim Taiwanese Liim 2010-05-03 18:50:58 EDT
Walter,
Thanks for getting back!  Do you have gnome-session (g-s) running?  In
F12, g-s is required for g-ss to function properly.  So please start
g-s and see how it goes.  Thanks.

In your attachment, this line suggested that g-s was not running:
    Failed to get session presence proxy: Could not get owner of name
    'org.gnome.SessionManager': no such name
Comment 11 Tim Taiwanese Liim 2010-08-04 00:18:35 EDT
Walter,
Any news?
Comment 12 Tim Taiwanese Liim 2010-08-20 12:18:53 EDT
Can we close this bug now?  Maybe close it until someone reports
this issue again?
1. Walter did not respond in 3 months.
2. It works on my F12, both 32- and 64-bit.
Comment 13 Tim Taiwanese Liim 2010-10-11 22:56:44 EDT
Can we close this bug now?  No response from Walter.
Comment 14 Adam Williamson 2010-10-11 23:46:17 EDT
sure.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.